<?php

/**
 * Back-end of Hoverbox_XH.
 *
 * PHP versions 4, 5 and 7
 *
 * @category  CMSimple_XH
 * @author    ISEYE <info@iseye.de>
 * @copyright 2017 I.Sell <knollsen@gmx.net>
 * @version   1.7
 + @link      http://pluginxh.iseye.eu
 */

if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}

define('HOVERBOX_VERSION', '1.0');

define(
    'HOVERBOX_URL',
    defined('CMSIMPLE_URL')
    ? CMSIMPLE_URL
    : 'http'
    . (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off' ? 's' : '')
    . '://' . $_SERVER['HTTP_HOST'] . $sn
);

define(
    'HOVERBOX_DATA_FOLDER',
    empty($plugin_cf['hoverbox']['folder_data'])
    ? $pth['folder']['plugins'] . 'hoverbox/data/'
    : $pth['folder']['base'] . $plugin_cf['hoverbox']['folder_data']
);

static $firstExpand = true;
if ($firstExpand) {
    $firstExpand = false;
    $hjs .= '<link rel="stylesheet" href="'.$pth['folder']['plugins'].'hoverbox/css/style_common.css">';
    $hjs .= '<link rel="stylesheet" href="'.$pth['folder']['plugins'].'hoverbox/css/style.css">';
}

/**
 * The model class.
 */
require_once $pth['folder']['plugin_classes'] . 'model.php';

function hoverbox($name) {
    global $e, $plugin_cf, $plugin_tx, $_Hoverbox, $pth, $hjs;

    $ptx = $plugin_tx['hoverbox'];
    $con = '';
    if (!$_Hoverbox->isValidName($name)) {
        $e .= '<li><b>' . $ptx['error_invalid_name'] . '</b>' . tag('br')
            . $name . '</li>' . PHP_EOL;
        return false;
    }
    $folders[] = $_Hoverbox->getDataFolder();
    $verz = $folders[0];
    $csv = array_map('str_getcsv', file($verz.$name.'.csv'));
    $picw = 'width:'.$plugin_cf['hoverbox']['box_width'].';';
    $pich = 'height:'.$plugin_cf['hoverbox']['box_height'].';';
    $border = ($plugin_cf['hoverbox']['box_border']) ? 'border-width:'.$plugin_cf['hoverbox']['box_border'].';' : 'border: none;';
    //print_r($csv);
    $zclass = '';
    if ($csv[0][4] == 1) $zclass = ' view-first';
    else if ($csv[0][4] == 2) $zclass = ' view-second';
    else if ($csv[0][4] == 3) $zclass = ' view-third';
    else if ($csv[0][4] == 4) $zclass = ' view-fourth';
    else if ($csv[0][4] == 5) $zclass = ' view-fifth';
    else if ($csv[0][4] == 6) $zclass = ' view-sixth';
    else if ($csv[0][4] == 7) $zclass = ' view-seventh';
    else if ($csv[0][4] == 8) $zclass = ' view-eighth';
    else if ($csv[0][4] == 9) $zclass = ' view-ninth';
    else if ($csv[0][4] == 10) $zclass = ' view-tenth';
    else if ($csv[0][4] == 11) $zclass = ' view-elf';
    else if ($csv[0][4] == 12) $zclass = ' view-twelve';
    else $zclass = ' view-first';
    $content = $_Hoverbox->read($name);
    if ($content !== false) {
        if (function_exists('evaluate_scripting')) {
            $content = evaluate_scripting($content);
        }

        $con .= '<div class="view'.$zclass.'" style="'.$picw.$pich.$border.'">';
        if ($csv[0][1]) $con .= '<img src="'.$pth['folder']['images'].$csv[0][1].'">';
        if ($csv[0][4] != 2 && $csv[0][4] != 9) {
          $con .= '<div class="mask">';
        }else{
          if ($csv[0][4] == 9) {
            $con .= '<div class="mask mask-1"></div>';
            $con .= '<div class="mask mask-2"></div>';
          }else{
            $con .= '<div class="mask"></div>';
          }
          $con .= '<div class="content">';
        }

        if ($csv[0][0] && ($csv[0][2] && $csv[0][3] == 4)) $con .= '<a href="'.$csv[0][2].'"><h2>'.$csv[0][0].'</h2></a>';
        else if ($csv[0][0]) $con .= '<h2>'.$csv[0][0].'</h2>';
        $con .= $content;
        if ($csv[0][2] && $csv[0][3] == 3) $con .= '<a class="info" href="'.$csv[0][2].'">Read More</a>';
        $con .= '</div>';
        if ($csv[0][5]) $con .= '<div class="bordereff"></div>';
        if ($csv[0][2] && $csv[0][3] == 2) $con .= '<a style="position:absolute;top:0;left:0;right:0;bottom:0;" href="'.$csv[0][2].'"></a>';
        $con .= '</div>';
        return $con;
    } else {
        e('cntopen', 'file', $_Hoverbox->filename($name));
        return false;
    }
}

$_Hoverbox = new Hoverbox_Model(HOVERBOX_DATA_FOLDER);

?>